%define         docfiles       copying README changelog

Name:           wmcpufreq
Version:        3.0
Release:        %mkrel 1
Summary:        Yet another dockapp for monitoring CPU frequency
License:        GPLv2
Group:          Monitoring

URL:            http://www.dockapps.org/
Source0:        http://www.dockapps.org/download.php/id/862/%{name}-%{version}.tar.gz

BuildRequires:  glibc-devel
BuildRequires:  libcpufreq-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel


%description
Wmcpufreq is a dockapp for WindowMaker, or any window manager and
desktop environment that handles dock applications. It displays the
frequency of each of your CPU cores in use between the maximum and
minimum allowed values. The driver used appears in green while the
active governor is in red.


%prep
%setup -q


%build
%make


%install
rm -rf %{buildroot}
chmod 644 %{docfiles}
cd %{name}
install -D -p -m 755 %{name} %{buildroot}%{_bindir}/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc %{docfiles}
%{_bindir}/wmcpufreq




%changelog

* Fri Sep 30 2011 eatdirt <eatdirt> 3.0-1.mga2
+ Revision: 150499
- imported package wmcpufreq


* Fri Sep 30 2011 Chris Ringeval <dirteat@gmail.com> 3.0-1.mga2
- import wmcpufreq

